#include "Player.h"
#include <stdio.h>

// The function to be called first
bool plStart(){
	for(int i=0; i<11; i++){ step(DirDown); }
	return true; //continue
}

// The function to be called at each step in the loop after plStart(). Return the stepping direction through dir.
bool plStepFrom(int x, int y, int &dir){
	return step(DirRight); //stop or continue based on return value of step()
}

// The function to be called after the player is being teleported to (x, y)
bool plTeleportTo(int x, int y){
	return false; //stop!
}

// The function to be called when a goods is collected
bool plGetMoney(int value){
	char s[100];
	sprintf(s,"got $%d", value);
	setStatus(s);
	return true;
}

// The function to be called after the player died because the time is up
void plTimeUp(){
	setStatus("Ouch! TIME UP!!!");
	return ;
}

// The function to be called after the player died by hitting the wall
void plHitWall(){
	setStatus("Ouch! HIT WALL!!!");
	return ;
}

// The function to be called after the player successfully reached the destination (& stopped)
void plReachDestination(){
	char s[100];
	sprintf(s,"Successful!!! Collected $%d", money());
	setStatus(s);
	return ;
}
