#ifndef __Maze_Game_Player_h__
#define __Maze_Game_Player_h__

#include "Controler.h"

// The function to be called first
bool plStart();

// The function to be called at each step in the loop after plStart(). Return the stepping direction through dir.
bool plStepFrom(int x, int y, int &dir);

// The function to be called after the player is being teleported to (x, y)
bool plTeleportTo(int x, int y);

// The function to be called when a goods is collected
bool plGetMoney(int value);

// The function to be called after the player died because the time is up
void plTimeUp();

// The function to be called after the player died by hitting the wall
void plHitWall();

// The function to be called after the player successfully reached the destination (& stopped)
void plReachDestination();




#endif